Bug 1413339 (php-evenement) - Review Request: php-evenement - Événement is a very simple event dispatching library for PHP
Summary: Review Request: php-evenement - Événement is a very simple event dispatching ...
Keywords:
Status: CLOSED ERRATA
Alias: php-evenement
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-react-stream php-react-child-process php-react-socket php-react-http php-react-http-client
TreeView+ depends on / blocked
 
Reported: 2017-01-15 05:30 UTC by Randy Barlow
Modified: 2017-02-05 20:20 UTC (History)
3 users (show)

Fixed In Version: php-evenement-2.0.0-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 20:51:00 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (3.58 KB, text/plain)
2017-01-21 05:28 UTC, Remi Collet
no flags Details
review.txt (7.68 KB, text/plain)
2017-01-21 05:28 UTC, Remi Collet
no flags Details
0000-Fix-a-test-to-catch-TypeError-instead-of-Exception.patch (969 bytes, patch)
2017-01-21 05:29 UTC, Remi Collet
no flags Details | Diff

Description Randy Barlow 2017-01-15 05:30:28 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/php-evenement.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/php-evenement-2.0.0-1.fc26.src.rpm
Description: Événement is a very simple event dispatching library for PHP.

It has the same design goals as Silex and Pimple, to empower the user
while staying concise and simple.

It is very strongly inspired by the EventEmitter API found in node.js.

Autoloader:    %{_datadir}/php/Evenement/Evenement/autoload.php
Fedora Account System Username: bowlofeggs

Comment 1 Remi Collet 2017-01-20 09:34:53 UTC
Can you please apply changes proposed by Shawn on ML so I will be able to review this package which blocks some other review.

https://github.com/siwinski/rpms/commit/6a742706850fdae41724b97622c84146a7d86ae5

Comment 2 Randy Barlow 2017-01-20 19:58:16 UTC
Sure, here they are:

Spec URL: https://bowlofeggs.fedorapeople.org/php-evenement.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/php-evenement-2.0.0-2.fc26.src.rpm

Thanks so much for the patch Shawn!

Comment 3 Remi Collet 2017-01-21 05:28:12 UTC
Created attachment 1243082 [details]
phpci.log

phpCompatInfo version 5.0.4 DB version 1.16.0 built Dec 16 2016
     06:59:17 CET static analyze results

Comment 4 Remi Collet 2017-01-21 05:28:56 UTC
Created attachment 1243083 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1413339
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 5 Remi Collet 2017-01-21 05:29:43 UTC
Created attachment 1243084 [details]
0000-Fix-a-test-to-catch-TypeError-instead-of-Exception.patch

Improved patch for PHP 5 and 7

Comment 6 Remi Collet 2017-01-21 05:32:28 UTC
[~]: %check is present and all tests pass.
	OK with 7.0 and 7.1
	KO with 5.6

Not a blocker (review is for rawhide which have PHP 7.1), but please consider updating the patch (and your PR).

[x]: Package complies to the Packaging Guidelines

So, APPROVED


P.S. I hate github URL using not reliable "tag", and prefer "commit"... but Guidelines mostly say "do the fuck you want"... so ...

Comment 7 Gwyn Ciesla 2017-01-23 14:14:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-evenement

Comment 8 Fedora Update System 2017-01-23 22:25:28 UTC
php-evenement-2.0.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2bdd80ab7b

Comment 9 Fedora Update System 2017-01-24 08:46:56 UTC
php-evenement-2.0.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-62f41a1300

Comment 10 Fedora Update System 2017-01-24 08:47:35 UTC
php-evenement-2.0.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b991469c5

Comment 11 Randy Barlow 2017-01-24 08:48:31 UTC
Release 3 has Remi's patch so it will work on PHP 5 (F24) and PHP 7 (F25, F26). Thanks for the patch Remi!

Comment 12 Fedora Update System 2017-01-25 01:22:59 UTC
php-evenement-2.0.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-62f41a1300

Comment 13 Fedora Update System 2017-01-28 19:19:49 UTC
php-evenement-2.0.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b991469c5

Comment 14 Fedora Update System 2017-02-02 20:51:00 UTC
php-evenement-2.0.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-05 20:20:33 UTC
php-evenement-2.0.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.